%define upstream_name    Crypt-Twofish2
%define upstream_version 1.02

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Crypt::CBC compliant Twofish encryption module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

%description
This module implements the twofish cipher in a less braindamaged (read:
slow and ugly) way than the existing 'Crypt::Twofish' module.

Although it is 'Crypt::CBC' compliant you usually gain nothing by using
that module (except generality, which is often a good thing), since
'Crypt::Twofish2' can work in either ECB or CBC mode itself.

* keysize

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README COPYING
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sat Jun 18 2016 pterjan <pterjan> 1.20.0-4.mga6
+ Revision: 1024675
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.20.0-3.mga6
+ Revision: 957012
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 1.20.0-2.mga6
+ Revision: 843929
- Rebuild for perl 5.22

* Sun Oct 19 2014 pterjan <pterjan> 1.20.0-1.mga5
+ Revision: 791814
- imported package perl-Crypt-Twofish2


* Sun Oct 19 2014 cpan2dist 1.02-1mga
- initial mageia release, generated with cpan2dist
